CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

AutoSnapMarkerSize Property (ActiveX)

2023-1-3 22:03| 发布者: admin| 查看: 432| 评论: 0|来自: AutoCAD

摘要: 指定自动捕捉标记的大小。

指定自动捕捉标记的大小。

支持的平台:仅窗口

签名

工 务 局:

object.AutoSnapMarkerSize
对象

类型:首选项起草

此属性适用的对象。

属性值

只读:

类型:

一个介于 1 到 20 之间的值,表示自动捕捉标记的大小(以像素为单位)。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_AutoSnapMarkerSize()
    ' This example reads and modifies the preference value that controls
    ' the size of the AutoSnap marker. When finished, this example resets
    ' the preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDrafting
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the drafting preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Drafting
    
    ' Read and display the original value
    originalValue = ACADPref.AutoSnapMarkerSize
    MsgBox "The AutoSnapMarkerSize preference is: " & originalValue

    ' Modify the AutoSnapMarkerSize preference by setting it to 10
    ACADPref.AutoSnapMarkerSize = 10
    newValue = ACADPref.AutoSnapMarkerSize
    MsgBox "The AutoSnapMarkerSize preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.AutoSnapMarkerSize = originalValue
    MsgBox "The AutoSnapMarkerSize preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AutoSnapMarkerSize()
    ;; This example reads and modifies the preference value that controls
    ;; the size of the AutoSnap marker. When finished, this example resets
    ;; the preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Get the drafting preferences object
    (setq ACADPref (vla-get-Drafting preferences))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-AutoSnapMarkerSize ACADPref))
    (alert (strcat "The AutoSnapMarkerSize preference is: " (itoa originalValue)))

    ;; Modify the AutoSnapMarkerSize preference by setting it to 10
    (vla-put-AutoSnapMarkerSize ACADPref 10)
    (setq newValue (vla-get-AutoSnapMarkerSize ACADPref))
    (alert (strcat "The AutoSnapMarkerSize preference has been set to: " (itoa newValue)))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-AutoSnapMarkerSize ACADPref originalValue)
    (alert (strcat "The AutoSnapMarkerSize preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 18:16

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部